=== debian/changelog ===
ros-eloquent-gazebo-ros (3.4.4-1bionic) bionic; urgency=high

  * wait for service with variable timeout (#1090 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1090>)
  * Contributors: Karsten Knese, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 May 2020 22:00:00 -0000

ros-eloquent-gazebo-ros (3.4.3-1bionic) bionic; urgency=high

  * [backport][ros2] make transient local reliable (#1033 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1033>) (#1036 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1036>)
    * [ros2] make transient local reliable (#1033 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1033>)
    * make transient local reliable
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * fix master
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * add launch test
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * make it actual latched
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * alpha sort
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * add launch_test dependency
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * more dependencies
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * remove debug print
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * is_initialized -> ok
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * Update gazebo_ros/test/entity_spawner.test.py
    Co-Authored-By: chapulina <mailto:louise@openrobotics.org>
    * use erase-remove idiom
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * use ReadyToTest()
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    Co-authored-by: chapulina <mailto:louise@openrobotics.org>
    * Set timeout and call gzserver directly
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: chapulina <mailto:louise@openrobotics.org>
  * fix pathsep for windows (#1028 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1028>)
  * Remove ROS-specific arguments before passing to argparse (#994 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/994>)
    This resolves argparse errors when trying to launch the spawn_entity script as a ROS node.
    For example, a launch file like the following wouldn't work without this change:
    <launch>
    <arg name="model_urdf" default="$(find-pkg-share mymodels)/urdf/ball.urdf" />
    <node
    pkg="gazebo_ros"
    exec="spawn_entity.py"
    name="spawner"
    args="-entity foo -file /path/to/my/model/foo.urdf" />
    </launch>
    Signed-off-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * [ros2] Remove ported / deprecated (#989 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/989>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * linter :sweat_smile:
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Uncommenting bond option on spawn_entity (wait Ctrl+C then remove entity) (#986 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/986>)
    * Uncommenting bond option on spawn_entity (wait Ctrl+C then remove entity)
    Instead of waiting for a shutdown callback to be created in rclpy,
    we can use the try/except to get the SIGINT signal, then delete the entity.
    * Message formatting
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Conditional launch includes (#979 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/979>)
    * [ros2] Conditional launch includes
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * remove unused import
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Address reviews on #868 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/868> (#972 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/972>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * [ros2] Migration of get/set world, model, joint, link, light properties
    * Trying to pass CI test, try n1.
    * clean up some linter warnings
    * Requested changes in review, unfinished
    * Fix uncrustify
    * Address reviews
    * more tests, joint types
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes to GetModelProperties message
    Document gazebo_ros_properties header
    * Convert msgs pose to math pose and use it on SetCoG
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Spawn <plugin> without <ros> (#983 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/983>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port spawn model to ROS2 (#948 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/948>)
    * [ros2] Port spawn model to ROS2
    * Delete .ros1_unported files
    * Fixes and add demo
    Change spawn_model to spawn_entity
    * Rename demo launch and add checks for service
    * Fix reading xml file from param and model states
    * remove diplicate
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Use gazebo launch file
    * Change topic behaviour
  * [ros2] Port gazebo launch scripts to ROS2 (#962 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/962>)
    * [ros2] Port gazebo launch scripts to ROS2
    * Add gdb and valgrind option
    * Use shell command for extra gazebo args
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)

