=== debian/control ===
Source: ros-eloquent-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-builtin-interfaces, ros-eloquent-gazebo-dev, ros-eloquent-gazebo-msgs, ros-eloquent-geometry-msgs, ros-eloquent-launch-testing-ament-cmake, ros-eloquent-rcl, ros-eloquent-rclcpp, ros-eloquent-rclpy, ros-eloquent-ros2run, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-tinyxml-vendor, ros-eloquent-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-eloquent-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-gazebo-dev, ros-eloquent-gazebo-msgs, ros-eloquent-geometry-msgs, ros-eloquent-launch-ros, ros-eloquent-rcl, ros-eloquent-rclcpp, ros-eloquent-rclpy, ros-eloquent-sensor-msgs, ros-eloquent-std-srvs, ros-eloquent-tinyxml-vendor, ros-eloquent-ros-workspace
Description: Utilities to interface with Gazebo through ROS.
